import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MDLNamed } from "./MDLNamed.js";
export declare class _MDLMaterialPropertyNode extends _NSObject {
    static alloc(): _MDLMaterialPropertyNode;
    static new(): _MDLMaterialPropertyNode;
    init(): _MDLMaterialPropertyNode;
    initWithInputs$outputs$evaluationFunction$(inputs: _NSArray, outputs: _NSArray, function_: (arg0: _MDLMaterialPropertyNode) => void): _MDLMaterialPropertyNode;
    evaluationFunction(): (arg0: _MDLMaterialPropertyNode) => void;
    setEvaluationFunction$(value: (arg0: _MDLMaterialPropertyNode) => void): void;
    inputs(): _NSArray;
    outputs(): _NSArray;
}
export interface _MDLMaterialPropertyNode extends _MDLNamed {
}
